from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XNumberFormatsSupplier(XInterface, Protocol):
    def getNumberFormatSettings(self) -> XPropertySet: ...
    def getNumberFormats(self) -> XNumberFormats: ...
